haml = require '../index'

describe "haml", ->
  it 'should render string', ->
    input   = '''
%h1 Hello World
'''
    output  = '''
<h1>Hello World</h1>
'''
    
    haml input, (error, result) ->
      expect(result).toEqual output
      
    waits 500
      
  it "should render string with locals", ->
    input   = '''
%h1 Hello World
%p= content
%ul
  %li Item a
  %li Item b
'''
    output  = '''
<h1>Hello World</h1>
<p>This is a paragraph</p>
<ul>
  <li>Item a</li>
  <li>Item b</li>
</ul>
'''

    haml input, content: "This is a paragraph", (error, result) ->
      expect(result).toEqual output
    
    waits 500
    
  it "should render with mustache", ->
    input   = '''
%h1 Hello World
%p {{content}}
%ul
  {{#items}}
  %li {{name}}
  {{/items}}
'''
    output  = '''
<h1>Hello World</h1>
<p>{{content}}</p>
<ul>
  {{#items}}
  <li>{{name}}</li>
  {{/items}}
</ul>
'''

    haml input, content: "This is a paragraph", (error, result) ->
      expect(result).toEqual output

    waits 500